Skip to main content
POST
/
v1
/
user-invitations
cURL
curl --request POST \
  --url https://cloud.nrai.io/api/v1/user-invitations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "type": "PROJECT",
  "email": "<string>",
  "projectId": "<string>",
  "projectRole": "<string>"
}
'
import requests

url = "https://cloud.nrai.io/api/v1/user-invitations"

payload = {
"type": "PROJECT",
"email": "<string>",
"projectId": "<string>",
"projectRole": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
type: 'PROJECT',
email: '<string>',
projectId: '<string>',
projectRole: '<string>'
})
};

fetch('https://cloud.nrai.io/api/v1/user-invitations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "created": "<string>",
  "updated": "<string>",
  "email": "<string>",
  "status": "PENDING",
  "type": "PLATFORM",
  "platformId": "<string>",
  "projectId": "<string>",
  "projectRoleId": "<string>",
  "projectRole": {
    "id": "<string>",
    "created": "<string>",
    "updated": "<string>",
    "name": "<string>",
    "permissions": [
      "<string>"
    ],
    "type": "<string>",
    "platformId": "<string>",
    "userCount": 123
  },
  "link": "<string>"
}

Authorizations

Authorization
string
header
required

Use your api key generated from the admin console

Body

application/json
type
enum<string>
required
Available options:
PROJECT
email
string
required
projectId
string
required
projectRole
string
required

Response

201 - application/json

Default Response

id
string
required
created
string
required
updated
string
required
email
string
required
status
required
Available options:
PENDING
type
required
Available options:
PLATFORM
platformId
string
required
platformRole
enum<string> | null
Available options:
ADMIN,
MEMBER,
OPERATOR
projectId
string | null
projectRoleId
string | null
projectRole
object | null